<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="coopcycleApp.panier.home.createOrEditLabel"
          data-cy="PanierCreateUpdateHeading"
          v-text="$t('coopcycleApp.panier.home.createOrEditLabel')"
        >
          Create or edit a Panier
        </h2>
        <div>
          <div class="form-group" v-if="panier.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="panier.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('coopcycleApp.panier.utilisateur')" for="panier-utilisateur">Utilisateur</label>
            <select
              class="form-control"
              name="utilisateur"
              :class="{ valid: !$v.panier.utilisateur.$invalid, invalid: $v.panier.utilisateur.$invalid }"
              v-model="$v.panier.utilisateur.$model"
              id="panier-utilisateur"
              data-cy="utilisateur"
              required
            >
              <option v-for="role in roleValues" :key="role" v-bind:value="role" v-bind:label="$t('coopcycleApp.Role.' + role)">
                {{ role }}
              </option>
            </select>
            <div v-if="$v.panier.utilisateur.$anyDirty && $v.panier.utilisateur.$invalid">
              <small class="form-text text-danger" v-if="!$v.panier.utilisateur.required" v-text="$t('entity.validation.required')">
                This field is required.
              </small>
            </div>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.panier.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./panier-update.component.ts"></script>
